#!/bin/sh
##########################################################################
#
# Copyright (C) 2010 EnterpriseDB Corporation.
#
# gs-agent.sh
#
#
# Starts an GridSQL agent process
#
##########################################################################


EXECCLASS=com.edb.gridsql.util.XdbAgent

source /usr/bin/gridsql_env.sh
 
GSCONFIG=/etc/gridsql/gridsql_agent.config
 
 # Adjust these if more memory is required
 MINMEMORY=256M
 MAXMEMORY=256M
 
nohup java -classpath /usr/share/java/postgresql-jdbc.jar:/usr/share/java/xdbengine.jar:/usr/share/java/xdbutil.jar:/usr/share/java/edb-jdbc14.jar:/usr/share/java/log4j.jar:${CLASSPATH} -Xms${MINMEMORY} -Xmx${MAXMEMORY} -Dconfig.file.path=${GSCONFIG} $EXECCLASS $* > /var/log/gridsql/agent.log 2>&1 &
